VARKON Version 1.15 1997-10-24

> ## part - Geometric procedure

> Creates a part
> Description
> Creates a part by passing parameters to and execute a named module. If the module has the LOCAL-attribute the identity of a local coordinate system must also be supplied.
> Syntax
> part(id, name(parameters),csys:attributes);

> REF | id;
> STRING | name;
> REF | csys;

> Principal parameters

> id | - Local identity
> name | - Name of module

> Optional parameters

> csys | - Identity of coordinate system. Not used for a GLOBAL or BASIC module

> Attributes

> All VARKON's attributes can be assigned to a part. |

> Example
> part(#2,rectangle(on(#1)+vec(10,10),b+1,10):LFONT=1);
> Creates a part with name "rectangle" by calling the module "rectangle" supplying one VECTOR parameter and two FLOAT parameters as input. When execution starts the active value of LFONT will be equal to 1.
> part(#2,hole(r),#1);
> Creates a part by calling a module named "hole" with one parameter, r. Being a LOCAL module "hole" is also passed the identity of a local coordinate system, #1.
> Comments
> The syntax of the part procedure requiers that name is a literal string. The name of the module can not be a variable or expression to evaluated at runtime. A slightly different syntax should be used for this purpose.
> The number of parameters supplied in the call to the module must match the number of parameters defined in the module itself and all parameters must be type-compatible.

VARKON Homepage | Index